## org.codehaus.groovy.grails.test.junit3
Class JUnit3GrailsTestTypeRunner

    java.lang.Object
      org.codehaus.groovy.grails.test.junit3.JUnit3GrailsTestTypeRunner

    public class JUnit3GrailsTestTypeRunner

extends Object

Constructor Summary
`JUnit3GrailsTestTypeRunner(JUnitReportsFactory reportsFactory, GrailsTestEventPublisher eventPublisher, SystemOutAndErrSwapper outAndErrSwapper)`

Method Summary
`junit.framework.TestResult` `runTests(junit.framework.TestSuite suite)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JUnit3GrailsTestTypeRunner

    public JUnit3GrailsTestTypeRunner(JUnitReportsFactory reportsFactory,
                                      GrailsTestEventPublisher eventPublisher,
                                      SystemOutAndErrSwapper outAndErrSwapper)

Method Detail

### runTests

    public junit.framework.TestResult runTests(junit.framework.TestSuite suite)

Copyright (c) 2005-2009 The Grails project